#93 ectag error

closed-fixed
nobody
semantic (53)
5
2009-05-31
2009-05-26
Anonymous
No

error on start emacs (with semantic-load-enable-primary-exuberent-ctags-support) :

error: Version of CTags is 0. Need at least 5.7

but :

[07:43:52][baldman@bcs][~]$ ctags-exuberant --version
Exuberant Ctags 5.7, Copyright (C) 1996-2007 Darren Hiebert
Compiled: Jun 9 2008, 09:12:01
Addresses: <dhiebert@users.sourceforge.net>, http://ctags.sourceforge.net
Optional compiled features: +wildcards, +regex
[07:44:03][baldman@bcs][~]$

what is this?

Discussion

  • it was necessary to simply change :
    (defcustom semantic-ectag-program "ctags" ...
    to :
    (defcustom semantic-ectag-program "ctags-exuberant" ...
    in semantic-ectag-util.el and run "make" again. for me in debian it works =)

     
  • Eric M. Ludlam
    Eric M. Ludlam
    2009-05-31

    Added a list of possible ctag program names, and loop over them looking for one that works.
    Added more helpful error messages, such as detecting the Emacs version of ctags to explain what might be wrong.

     
  • Eric M. Ludlam
    Eric M. Ludlam
    2009-05-31

    • status: open --> closed-fixed